Package org.apache.solr.client.solrj.cloud

## Class NotEmptyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.solr.client.solrj.cloud.NotEmptyException

All Implemented Interfaces:
  `Serializable`

    public class NotEmptyException
    extends Exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
`NotEmptyException​(String path)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getPath()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NotEmptyException

    public NotEmptyException​(String path)

### Method Detail

#### getPath

    public String getPath()